
/* Copyright 2009 Myhailo Danylenko

This file is part of lua-lm.

lua-lm is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef LLM_MESSAGE_NODE_H
#define LLM_MESSAGE_NODE_H

#include <lua.h>

int name_lm_node (lua_State *L);
int next_lm_node (lua_State *L);
int prev_lm_node (lua_State *L);
int parent_lm_node (lua_State *L);
int value_lm_node (lua_State *L);
int child_lm_node (lua_State *L);
int find_child_lm_node (lua_State *L);
int raw_lm_node (lua_State *L);
int attribute_lm_node (lua_State *L);
int xml_lm_node (lua_State *L);
int path_lm_node (lua_State *L);

int luaopen_lm_message_node (lua_State *L);

#endif

